[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: RFS: acx100 (updated package)

Hash: SHA1

No need to CC me, I am subscribed to the list.

M. van Brummelen schrieb:
>>> http://mentors.debian.net/debian/pool/contrib/a/acx100/acx100_20080210-1.1.dsc
>>> Like suggested on irc I used bts for bug #545367 which is grave.
>> Thanks.
>> Please ping me again on sunday if there is still no action from the
>> maintainer.
> I still did not recieve or see any information/mail/action from the
> maintainer. So like suggested im giving a reminder for this packages
> which fixes a grave bug. Thanks for helping me with this bug.

I won't upload it. Please only fix "real" issues with an NMU.
In this case that means:
Do not increase the Standards-Version.
Also your changelog entrys are not correct:
* fixed lintian issue "out-of-date-standards-version"

The purpose of the standards version is not to get incremented just to
shut up lintian, it reflects the Debian policy version the package
corresponds to, so you have to check, if it realy applies to the new one.
In the acx100 case it doesn't:
W: acx100 source: patch-system-but-no-source-readme

This is needed since 3.8.2 or 3.8.3.
Please just ignore the standards version in both NMUs.

Also you have to fix two things in your acx100 changes:

I: acx100 source: build-depends-without-arch-dep cpio


N:    The control file lists the given package in Build-Depends, but no

N:    architecture-dependent packages are built. If all the packages
built are
N:    architecture-independent, the only packages that should be listed
N:    Build-Depends are those required to run the clean target (such as

N:    debhelper if you use dh_clean). Other build dependencies should be

N:    listed in Build-Depends-Indep instead.


N:    Refer to Debian Policy Manual section 7.7 (Relationships between
N:    and binary packages - Build-Depends, Build-Depends-Indep,

N:    Build-Conflicts, Build-Conflicts-Indep) for details.


N:    Severity: minor, Certainty: possible

and the second one:
I: acx100 source: dpatch-missing-description 02_fix_irqreturn_t.dpatch

I: acx100 source: dpatch-missing-description 03_typo_fix.dpatch

> If you have some spare time perhaps you could check out earcandy as
> well. See http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=539141
> earcandy   - Sound level manager for PulseAudio
> The package appears to be lintian clean.
> The upload would fix the grave bug: 539141
> The package can be found on mentors.debian.net:
> - URL: http://mentors.debian.net/debian/pool/main/e/earcandy
> - Source repository: deb-src http://mentors.debian.net/debian unstable
> main contrib non-free
> - dget
> http://mentors.debian.net/debian/pool/main/e/earcandy/earcandy_0.5-1.1.dsc

* Remove the increasing of the standards version.
* => * Changed control-file, added python-wnck to Depend option (Closes:

Better write it as:
* Added python-wnck as a dependency.
  Closes: #539141

btw, much thanks for taking care of those bugs. :)

- --
Mit freundlichem Gruß / With kind regards,
 Patrick Matthäi
 GNU/Linux Debian Developer

E-Mail: pmatthaei@debian.org

Always if we think we are right,
we were maybe wrong.
Version: GnuPG v1.4.10 (GNU/Linux)


Reply to: